View Issue Details

IDProjectCategoryView StatusLast Update
0002724Ham Radio DeluxeBugpublic2018-06-13 09:13
ReporterK7ZCZ 
Assigned ToK7ZCZ 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version6.4.0.840 
Target VersionFixed in Version6.4.0.843 
Summary0002724: HRDSerialPortSvr: doesn't read command line arguments
DescriptionThe HRDSerialPortSvr program doesn't read its command-line arguments in a meaningful way. The program tries to parse the arguments by looking for spaces between arguments. However, the first argument is always the name of the application the application's name always includes a space, so the program ends up incorrectly parsing any remaining argument that was actually on the command line and ignores their meaning.

This makes it difficult or impossible to debug the application, or manipulate it from the command line.

TagsNo tags attached.
ModuleRig Control
Sub-ModuleRig Control
Testing N/A

Relationships

Activities

K7ZCZ

2018-05-22 09:21

manager   ~0005085

fixed with this checkin:
https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/4129

WA9PIE

2018-06-05 14:40

administrator   ~0005206

Are there steps we can use to test this? If not, we may just need to take your first-hand knowledge as good.

K7ZCZ

2018-06-10 22:29

manager   ~0005232

The Serial Port Service is in worse shape than I thought.

Is anyone actually using it? Maybe it should just be dropped from the product.

WA9PIE

2018-06-12 09:45

administrator   ~0005254

I don't know anyone who is using it. I would be fine dropping it... we may just want to get a quick question out to the users. I could do that in a newsletter.

WA9PIE

2018-06-13 09:10

administrator   ~0005257

In this case, the developer observed this and has resolved it. We're accepting these observations as test positive.

Issue History

Date Modified Username Field Change
2018-05-20 15:35 K7ZCZ New Issue
2018-05-22 09:21 K7ZCZ Assigned To => K7ZCZ
2018-05-22 09:21 K7ZCZ Status new => resolved
2018-05-22 09:21 K7ZCZ Resolution open => fixed
2018-05-22 09:21 K7ZCZ Note Added: 0005085
2018-05-26 23:27 K7ZCZ Fixed in Version => 6.4.0.842
2018-06-05 14:40 WA9PIE Note Added: 0005206
2018-06-10 22:29 K7ZCZ Note Added: 0005232
2018-06-12 09:45 WA9PIE Note Added: 0005254
2018-06-13 09:10 WA9PIE Status resolved => closed
2018-06-13 09:10 WA9PIE Module (select) => Rig Control
2018-06-13 09:10 WA9PIE Testing Not Started => N/A
2018-06-13 09:10 WA9PIE Note Added: 0005257
2018-06-13 09:13 WA9PIE Fixed in Version 6.4.0.842 => 6.4.0.843
2018-06-13 09:13 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe